# $Revision: 1.10 $, $Date: 2001/03/19 13:00:42 $
Summary:	Fetch RPM packages from FTP servers which are newer than the ones installed on your system
Summary(pl):	ciga pakiety nowe pakiet RPM z serwerw FTP
Name:		freshrpms
Version:	0.7.4
Release:	5
License:	Distributable
Group:		Applications/System
Group(de):	Applikationen/System
Group(pl):	Aplikacje/System
Source0:	ftp://ftp.cs.tu-berlin.de/pub/local/flp/lutzeb/software/freshrpms/%{name}.tar.gz
Requires:	perl-libnet
Requires:	perl >= 5.004
Buildarch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
freshrpms is a Perl5 script which fetches RPM packages from FTP
servers which version numbers are higher than the ones installed on
your system. freshrpms does not install any RPMs by itself but makes
use of the package manager program to determine which RPM packages are
currently installed. freshrpms uses a configuration file to accomplish
its task which defines multiple FTP servers, directories to look for
RPMs, local download directories and local archive directories for
installed RPMs. It can also garbage collect local archived RPMs which
are older than the currenly installed ones.

%description -l pl
freshrpms jest skryptem w jzyku Perl, cigajcym z serwerw FTP
pakiety RPM, ktrych numery wersji s wysze ni tych zainstalowanych
w Twoim systemie. freshrpms nie instaluje samodzielnie adnych
pakietw, ale tylko wykorzystuje menedera pakietw, aby sprawdzi
jakie pakiety masz zainstalowane. freshrpms do wykonania swojego
zadzania uywa pliku konfiguracyjnego, ktry definiuje uywane serwery
FTP, cieki poszukiwa, lokalne katalogi na nowe pakiety oraz
archiwum. Moe take przenosi stare pakiety do archiwum.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{%{_bindir},%{_mandir}/man1,etc}

chmod u+w .

install freshrpms $RPM_BUILD_ROOT%{_bindir}/freshrpms
install freshrpms.conf $RPM_BUILD_ROOT%{_sysconfdir}/freshrpms.conf

install freshrpms.1 $RPM_BUILD_ROOT%{_mandir}/man1/

gzip -9nf README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%config %{_sysconfdir}/freshrpms.conf
%attr(755,root,root) %{_bindir}/freshrpms
%{_mandir}/man1/freshrpms.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: freshrpms.spec,v $
Revision 1.10  2001/03/19 13:00:42  kloczek
- spec adapterized,
- do not compress man pages.

Revision 1.9  2000/08/21 15:48:43  alchemyx
- added chmod u+w on build root (broken tgz?)

Revision 1.8  2000/05/18 21:48:35  kloczek
- spec adapterized.

Revision 1.7  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.5  2000/02/10 15:19:44  wiget
0.7.4

Revision 1.4  1999/07/20 11:04:33  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.3  1999/07/12 23:05:56  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat Jun 26 1999 Michal Margula <alchemyx@pld.org.pl>
  [0.7.3-2]
- spec hacked for PLD
- translated spec
- compressed documentation
